Skip to main content
POST
Create Sample

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
X-API-Key
string | null

Path Parameters

experiment_id
string<uuid>
required

Body

application/json

Request to create a sample after upload.

file_path
string
required

Path to the uploaded file in storage (bucket-relative)

anchor
AnchorRef · object | null

Inline anchor reference used by ingestion-compatible sample creation.

anchor_id
string<uuid> | null
anchor_value
string | null

Value of the anchor field for this sample (required if experiment has anchor_field)

candidate
CandidateRef · object | null

Inline candidate metadata used by ingestion-compatible sample creation.

candidate_id
string<uuid> | null
candidate_key
string | null
Required string length: 1 - 128
candidate_label
string | null
candidate_metadata
Candidate Metadata · object | null
content_hash
string | null
ingestion_batch_id
string<uuid> | null
is_exam_only
boolean
default:false

Whether this sample should only be used for exam/quality-control pairs

parameters
Parameters · object | null

Parameter values for this sample

source_manifest_row
integer | null
source_sample_id
string<uuid> | null

Optional lineage reference when this sample is cloned from another sample

suggestion_id
string<uuid> | null

Optional generation suggestion ID used to produce this sample

Response

Successful Response

Sample response.

anchor_value
string | null
required
created_at
string<date-time>
required
experiment_id
string<uuid>
required
file_path
string
required
id
string<uuid>
required
output_type
enum<string>
required
Available options:
text,
image,
audio,
video
parameters
Parameters · object | null
required
anchor_id
string<uuid> | null
anchor_text
string | null
asset_id
string<uuid> | null
availability_status
string
default:active
candidate_id
string<uuid> | null
candidate_key
string | null
candidate_label
string | null
candidate_metadata
Candidate Metadata · object | null
comparisons
integer | null
content
Content · object | null
content_hash
string | null
content_origin
string
default:local_storage
elo_rating
number | null
file_url
string | null

Signed download URL (short-lived)

ingestion_batch_id
string<uuid> | null
is_exam_only
boolean
default:false
losses
integer | null
mean_score
number | null
remote
Remote · object | null
score_count
integer
default:0
source_kind
enum<string>
default:local
Available options:
local,
huggingface
source_manifest_row
integer | null
source_sample_id
string<uuid> | null
suggestion_id
string<uuid> | null
thumbnail_url
string | null

Signed thumbnail URL (short-lived)

wins
integer | null